DefaultUpdateEventListener (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.internal
Class DefaultUpdateEventListener

    java.lang.Object
      org.hibernate.event.internal.AbstractReassociateEventListener
          org.hibernate.event.internal.AbstractSaveEventListener
              org.hibernate.event.internal.DefaultSaveOrUpdateEventListener
                  org.hibernate.event.internal.DefaultUpdateEventListener

All Implemented Interfaces:
  Serializable, SaveOrUpdateEventListener

    public class DefaultUpdateEventListener

extends DefaultSaveOrUpdateEventListener

An event handler for update() events

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.event.internal.AbstractSaveEventListener
`AbstractSaveEventListener.EntityState`

Constructor Summary
`DefaultUpdateEventListener()`

Method Summary
`protected Serializable` | `getUpdateId(Object entity, EntityPersister persister, Serializable requestedId, SessionImplementor session)` If the user specified an id, assign it to the instance and use that, otherwise use the id already assigned to the instance
`protected Serializable` | `performSaveOrUpdate(SaveOrUpdateEvent event)`

Methods inherited from class org.hibernate.event.internal.DefaultSaveOrUpdateEventListener
`entityIsDetached, entityIsPersistent, entityIsTransient, getCascadeAction, invokeUpdateLifecycle, onSaveOrUpdate, performUpdate, reassociateIfUninitializedProxy, saveWithGeneratedOrRequestedId`

Methods inherited from class org.hibernate.event.internal.AbstractSaveEventListener
`cascadeAfterSave, cascadeBeforeSave, getAssumedUnsaved, getEntityState, getLoggableName, getMergeMap, invokeSaveLifecycle, isVersionIncrementDisabled, performSave, performSaveOrReplicate, saveWithGeneratedId, saveWithRequestedId, substituteValuesIfNecessary, visitCollectionsBeforeSave`

Methods inherited from class org.hibernate.event.internal.AbstractReassociateEventListener
`reassociate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultUpdateEventListener

    public DefaultUpdateEventListener()

Method Detail

### performSaveOrUpdate

    protected Serializable performSaveOrUpdate(SaveOrUpdateEvent event)

  Overrides:
    `performSaveOrUpdate` in class `DefaultSaveOrUpdateEventListener`

### getUpdateId

    protected Serializable getUpdateId(Object entity,
                                       EntityPersister persister,
                                       Serializable requestedId,
                                       SessionImplementor session)
                                throws HibernateException

  If the user specified an id, assign it to the instance and use that, otherwise use the id already assigned to the instance

  Overrides:
    `getUpdateId` in class `DefaultSaveOrUpdateEventListener`
  Parameters:
    `entity` - The entity.
    `persister` - The entity persister
    `requestedId` - The requested identifier
    `session` - The session
  Returns:
    The id.
  Throws:
    `TransientObjectException` - If the entity is considered transient.
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.